Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class CreateProjectAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.CreateProjectAction

All Implemented Interfaces:
  IAction

Deprecated. This new experimental API is being temporary deprecated for release 2.0 New project creation should continue to make use of NewProjectAction.

public class CreateProjectAction
extends Action

Standard action for launching the new project creation wizard.

This class may be instantiated and subclassed by clients.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CreateProjectAction(IWorkbenchWindow window)` Deprecated. Creates a new action for launching the new project selection wizard.

Method Summary
`protected IStructuredSelection` | `getInitialSelection()` Deprecated. Returns the selection to initialized the wizard with
`void` | `run()` Deprecated. The default implementation of this `IAction` method does nothing.
`void` | `setInitialProjectCapabilities(String[] ids)` Deprecated. Sets the initial project capabilities to be selected.
`void` | `setInitialProjectName(String name)` Deprecated. Sets the initial project name.
`void` | `setInitialSelectedCategories(String[] ids)` Deprecated. Sets the initial categories to be selected.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateProjectAction

    public CreateProjectAction(IWorkbenchWindow window)

  Deprecated.
  Creates a new action for launching the new project selection wizard.

Parameters:
  `window` - the workbench window to query the current selection and shell for opening the wizard.

Method Detail

### getInitialSelection

    protected IStructuredSelection getInitialSelection()

  Deprecated.
  Returns the selection to initialized the wizard with

### setInitialSelectedCategories

    public void setInitialSelectedCategories(String[] ids)

  Deprecated.
  Sets the initial categories to be selected. Ignores any IDs which do not represent valid categories.

  Parameters:
    `ids` - initial category ids to select

### setInitialProjectCapabilities

    public void setInitialProjectCapabilities(String[] ids)

  Deprecated.
  Sets the initial project capabilities to be selected. Ignores any IDs which do not represent valid capabilities.

  Parameters:
    `ids` - initial project capability ids to select

### setInitialProjectName

    public void setInitialProjectName(String name)

  Deprecated.
  Sets the initial project name. Leading and trailing spaces in the name are ignored.

  Parameters:
    `name` - initial project name

### run

    public void run()

  Deprecated.
  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.